Subject: Ticket Assigned - Refund request of 3819 Ryal
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jan 2023 16:54:07 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund request of 3819 Ryal Dear team,
On 09 Nov. I tried to make an order via ENBD bank visa card using
installment option,i tried to pay 3 times but it was rejected from your end
and the fourth time i did it as full payment not installment and it was
successful.

My problem is my bank deducted the the 3 times failed payment and not
refunded till now and as per them Centre point rejected the claim.
Please find attached proof of payment failure and do your best with your
finance team to solve this issue as i already raised to central bank of
Saudi Arabia.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5630196